export class MaterialAllowedFunctionTypes {
    static allowedMaterialFunctionTypes = [
        'Kraj: vedoucí/admin',
        'Kraj:SKLADNIK',
        'Oddíl: vedoucí/admin',
        'Okres: vedoucí/admin',
        'Středisko: pověřená osoba STS',
        'Středisko: SKLADNÍK',
        'Středisko: vedoucí/admin'
    ];

    static hasPermission: boolean = false;
    static firstTimeRole: boolean = true;

    static getPermission(): boolean {
        return this.hasPermission;
    }

    static setPermission(role: string) {
        this.hasPermission = false;
        this.allowedMaterialFunctionTypes.forEach(type => {
            if (role.trim().includes(type.trim())) {
                this.hasPermission = true;
            }
        });
    }

    constructor() {
        // MaterialAllowedFunctionTypes.setPermission(getString(USER_ROLE));
        // console.log("konstruktor " + getString(USER_ROLE));
    }
}
